%define anolis_release 1

Summary: The Reliable Event Logging Protocol library
Name: librelp
Version: 1.11.0
Release: %{anolis_release}%{?dist}
License: GPLv3+
URL: http://www.rsyslog.com/
Source0: http://download.rsyslog.com/%{name}/%{name}-%{version}.tar.gz
BuildRequires: gnutls-devel >= 1.4.0

%description
Librelp is an easy to use library for the RELP protocol. RELP (stands
for Reliable Event Logging Protocol) is a general-purpose, extensible
logging protocol.

%package devel
Summary: Development files for the %{name} package
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: make

%description devel
Librelp is an easy to use library for the RELP protocol. The
librelp-devel package contains the header files and libraries needed
to develop applications using librelp.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -ivf
%configure --disable-static --disable-tls-openssl
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT/%{_libdir}/*.la

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/librelp.so.*
%{abidir}/librelp.dump

%files devel
%{_includedir}/*
%{_libdir}/librelp.so
%{_libdir}/pkgconfig/relp.pc

%files doc
%doc AUTHORS NEWS README doc/*html

%changelog
* Wed Feb 19 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.11.0-1
- Update to 1.11.0 from 1.10.0

* Tue May 14 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.10.0-3
- Update tarball

* Mon Mar 06 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.10.0-2
- optimize spec

* Mon Apr 18 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 1.10.0-1
- Init from upstream version 1.10.0

